
void bpp8_fnt2image(
       int length,
       int bits,
       unsigned char fg,
       unsigned char bg,
       unsigned char *fnt,
       unsigned char *image
     )
{
  register unsigned char carry = bits%8;
  register unsigned char mask;
  register int n;
  register unsigned char v;
  while (length>0) {
    mask = 0x80;
    v = *fnt;
    for (n=0;n<bits;n++) {
      *image = (v&mask) ? fg:bg;
      image++; mask>>=1; length--;
      if (mask==0) { fnt++; mask=0x80; v = *fnt; }
    }
    if (carry) fnt++;
  }
}
