#include "iome.h"
#include "a4c.tk.h"

int imeRegister(iomeSysInfo *INFO,iomeRegistry *REG)
{
  char *Accept_System[]={
    "x",
    "tty",
    NULL
  };
  char **IME = Accept_System;
  int n = 0;

  while (n>=0&&IME[n]) {
    if (strcasecmp(INFO->system,IME[n])==0) n=-2;
    n++;
  }
  if (n>=0) return 0;
  REG->encoding      = "big5";
  REG->class         = "filter";
  REG->accept_system = Accept_System;
  return 1;
}

int imeInit(iomeConfig *CONF,iomeRecord *RECORD)
{
  RECORD->MethodName = NULL;
  RECORD->FilterName = iomeWhichItem(CONF,"charset.big5");
  RECORD->Encoding   = "big5";
  RECORD->ListArea   = NULL;
  RECORD->KeyArea    = NULL;
  RECORD->Value      = NULL;
  RECORD->Owner      = NULL;
  return 1;
}

int imeSimple(iomeRecord *RECORD,char *charset,char *value)
{
  if (strcmp(charset,"gb2312")==0) ConvertChinese(GB2312_BIG5,value);
  return 1;
}

int imeFeedKey(iomeRecord *RECORD,int ch,int state)
{
  return IME_RT_REJECT;
}

int imeQuit(iomeRecord *RECORD)
{
  return 1;  
}

